> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /nextdoor/neighborhoods

> Get Nextdoor neighborhood

**Price:** 5 credits

**⚠️ Common errors:** 412: Neighborhood not found. Verify country, state, city, and neighborhood slug.



## OpenAPI

````yaml /openapi/local-places.json post /api/nextdoor/neighborhoods
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/nextdoor/neighborhoods:
    post:
      tags:
        - /nextdoor
      summary: /nextdoor/neighborhoods
      description: >-
        Get Nextdoor neighborhood


        **Price:** 5 credits


        **⚠️ Common errors:** 412: Neighborhood not found. Verify country,
        state, city, and neighborhood slug.
      operationId: __api_nextdoor_neighborhoods_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NextdoorNeighborhoodsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NextdoorNeighborhood'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NextdoorNeighborhoodsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        country:
          $ref: '#/components/schemas/NextdoorCountry'
          default: US
        state:
          type: string
          minLength: 1
        city:
          type: string
          minLength: 1
        neighborhood:
          type: string
          minLength: 1
      type: object
      required:
        - state
        - city
        - neighborhood
    NextdoorNeighborhood:
      properties:
        '@type':
          type: string
          default: NextdoorNeighborhood
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        short_name:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        full_state_name:
          anyOf:
            - type: string
            - type: 'null'
        display_location:
          anyOf:
            - type: string
            - type: 'null'
        document_title:
          anyOf:
            - type: string
            - type: 'null'
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
        centroid:
          anyOf:
            - $ref: '#/components/schemas/NextdoorGeoPoint'
            - type: 'null'
        hero_image:
          anyOf:
            - type: string
            - type: 'null'
        map_bounds:
          anyOf:
            - type: string
            - type: 'null'
        meta_title:
          anyOf:
            - type: string
            - type: 'null'
        attributes:
          items:
            type: string
          type: array
          default: []
        interests:
          items:
            type: string
          type: array
          default: []
        stats:
          anyOf:
            - $ref: '#/components/schemas/NextdoorLocationStats'
            - type: 'null'
        faq:
          items:
            $ref: '#/components/schemas/NextdoorFAQ'
          type: array
          default: []
        faves:
          items:
            $ref: '#/components/schemas/NextdoorFaveSection'
          type: array
          default: []
        fave_count:
          anyOf:
            - type: integer
            - type: 'null'
        agencies:
          items:
            $ref: '#/components/schemas/NextdoorAgency'
          type: array
          default: []
        nearby_neighborhoods:
          items:
            $ref: '#/components/schemas/NextdoorNearbyNeighborhood'
          type: array
          default: []
        classifieds:
          items:
            $ref: '#/components/schemas/NextdoorClassified'
          type: array
          default: []
        classified_count:
          anyOf:
            - type: integer
            - type: 'null'
        events:
          items:
            $ref: '#/components/schemas/NextdoorEvent'
          type: array
          default: []
        event_count:
          anyOf:
            - type: integer
            - type: 'null'
        groups:
          items:
            $ref: '#/components/schemas/NextdoorGroup'
          type: array
          default: []
        group_count:
          anyOf:
            - type: integer
            - type: 'null'
        trending_posts:
          items:
            $ref: '#/components/schemas/NextdoorPost'
          type: array
          default: []
        safety_posts:
          items:
            $ref: '#/components/schemas/NextdoorPost'
          type: array
          default: []
        photo_video_posts:
          items:
            $ref: '#/components/schemas/NextdoorPost'
          type: array
          default: []
        photo_video_post_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    NextdoorCountry:
      type: string
      enum:
        - US
        - GB
        - DE
        - FR
        - IT
        - ES
        - AU
        - DK
        - SE
        - CA
        - NL
    NextdoorGeoPoint:
      properties:
        '@type':
          type: string
          default: NextdoorGeoPoint
        lat:
          anyOf:
            - type: number
            - type: 'null'
        lon:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    NextdoorLocationStats:
      properties:
        '@type':
          type: string
          default: NextdoorLocationStats
        residents_count:
          anyOf:
            - type: integer
            - type: 'null'
        median_home_value:
          anyOf:
            - type: number
            - type: 'null'
        average_income:
          anyOf:
            - type: number
            - type: 'null'
        average_age:
          anyOf:
            - type: number
            - type: 'null'
        percentage_homeowners:
          anyOf:
            - type: number
            - type: 'null'
        walk_score:
          anyOf:
            - type: number
            - type: 'null'
        transit_score:
          anyOf:
            - type: number
            - type: 'null'
        friendliness_score:
          anyOf:
            - type: number
            - type: 'null'
        affordability_score:
          anyOf:
            - type: number
            - type: 'null'
        family_score:
          anyOf:
            - type: number
            - type: 'null'
        safety_score:
          anyOf:
            - type: number
            - type: 'null'
        schools_score:
          anyOf:
            - type: number
            - type: 'null'
        diversity_score:
          anyOf:
            - type: number
            - type: 'null'
        ranking_year:
          anyOf:
            - type: integer
            - type: 'null'
        tagline:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    NextdoorFAQ:
      properties:
        '@type':
          type: string
          default: NextdoorFAQ
        question:
          anyOf:
            - type: string
            - type: 'null'
        answer:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    NextdoorFaveSection:
      properties:
        '@type':
          type: string
          default: NextdoorFaveSection
        name:
          anyOf:
            - type: string
            - type: 'null'
        businesses:
          items:
            $ref: '#/components/schemas/NextdoorFaveBusiness'
          type: array
          default: []
      type: object
    NextdoorAgency:
      properties:
        '@type':
          type: string
          default: NextdoorAgency
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        post_count:
          anyOf:
            - type: integer
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    NextdoorNearbyNeighborhood:
      properties:
        '@type':
          type: string
          default: NextdoorNearbyNeighborhood
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        centroid:
          anyOf:
            - $ref: '#/components/schemas/NextdoorGeoPoint'
            - type: 'null'
      type: object
    NextdoorClassified:
      properties:
        '@type':
          type: string
          default: NextdoorClassified
        name:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        is_free:
          anyOf:
            - type: boolean
            - type: 'null'
        is_sold:
          anyOf:
            - type: boolean
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        last_renewed:
          anyOf:
            - type: string
            - type: 'null'
        neighborhood:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    NextdoorEvent:
      properties:
        '@type':
          type: string
          default: NextdoorEvent
        name:
          anyOf:
            - type: string
            - type: 'null'
        event_date:
          anyOf:
            - type: integer
            - type: 'null'
        display_date:
          anyOf:
            - type: string
            - type: 'null'
        attendance_count:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    NextdoorGroup:
      properties:
        '@type':
          type: string
          default: NextdoorGroup
        name:
          anyOf:
            - type: string
            - type: 'null'
        member_count:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    NextdoorPost:
      properties:
        '@type':
          type: string
          default: NextdoorPost
        author_name:
          anyOf:
            - type: string
            - type: 'null'
        author_id:
          anyOf:
            - type: string
            - type: 'null'
        author_neighborhood:
          anyOf:
            - type: string
            - type: 'null'
        avatar:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        comment_count:
          anyOf:
            - type: integer
            - type: 'null'
        reaction_count:
          anyOf:
            - type: integer
            - type: 'null'
        post_type:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        video_url:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    NextdoorFaveBusiness:
      properties:
        '@type':
          type: string
          default: NextdoorFaveBusiness
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        fav_count:
          anyOf:
            - type: integer
            - type: 'null'
        recommendation:
          anyOf:
            - type: string
            - type: 'null'
        recommendation_author:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````